# MatSNESMFGetH

Gets the last value that was used as the differencing parameter.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFGetH(Mat mat,PetscScalar *h)

Not Collective

### Input Parameters

mat -the matrix obtained with MatCreateSNESMF()

### Output Paramter

h -the differencing step size

### Keywords

SNES, matrix-free, parameters

### See Also

MatCreateSNESMF(),MatSNESMFSetHHistory(),
MatSNESMFResetHHistory(),MatSNESMFKSPMonitor()

Level:advanced
Location:src/snes/mf/snesmfj.c
Index of all SNESMF routines
Table of Contents for all manual pages
Index of all manual pages